location.delete
Remove a Location entity from a Subject Record.
POST http://api.kompliant.com/location.delete (OpenAPI specification)
Usage Info
This method permanently deletes a Location entity from the system. Use with caution as this operation cannot be undone. Typically used when location information is incorrect or when location is no longer active.
Note that a Location entity cannot be deleted if it is currently associated with a Business or BankAccount Entities. You must first remove the each of the association using the business.removeLocation and location.removeBankAccount methods before deletion can be completed.
Request
Authentication: KSig1-HMAC-SHA256
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| location_id | string | Yes | The ID of the Location entity. |
Example
{
"location_id": "l_6zNzQZHSf26V83BO3uW6dS"
}
Response
Data
An empty data object is returned when the completion is successful.
Example
{
"meta": {
"status": "SUCCESS",
"trace_id": "trc_6zNzQZHSf26V83BO3uW6dS",
"version": "2025-03-24"
},
"data": {}
}
Errors
| Error Code | HTTP Code | Possible Cause |
|---|---|---|
| BAD_REQUEST | 400 | Required parameters not provided. |
| ENTITY_LINKED | 400 | The Location entity cannot be deleted because it is currently linked to one or more Business/Bank Account entities. You must first remove the each of the association using the business.removeLocation and location.removeBankAccount methods before deletion can be completed. |
| ENTITY_NOT_FOUND | 400 | The location_id provided does not exist. |
| ACCOUNT_CONFIGURATION_VIOLATION | 400 | Account configuration rule violations are described below. |
ACCOUNT_CONFIGURATION_VIOLATION
When a ACCOUNT_CONFIGURATION_VIOLATION error occurs, the response will include additional entity_type and sub_code fields to provide more specific information:
| Entity Type | Sub-code | Description |
|---|---|---|
| Location | FEATURE_NOT_ENABLED | Location feature is not enabled for this account. |
Updated 6 months ago